PAL A Platform Abstraction Layer connects the mbed-client with the underlying platform.

- Main Page
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Enumerations | Functions | Variables
pal_update_test.c File Reference
`#include "pal_update.h"`
`#include "pal.h"`
`#include "unity.h"`
`#include "unity_fixture.h"`
`#include "pal_test_utils.h"`
`#include "string.h"`

## Macros
#define | KILOBYTE 1024

## Typedefs
typedef enum _updateTestState | updateTestState

## Enumerations
enum | _updateTestState { test_init = 1, test_write, test_commit, test_read }

## Functions
| TEST_GROUP (pal_update)
| TEST_SETUP (pal_update)
void | printBuffer (uint8_t *buffer, size_t bufSize)
| TEST_TEAR_DOWN (pal_update)
| TEST (pal_update, pal_update_start)
| TEST (pal_update, pal_update_init)
void | pal_update_xK (int sizeInK)
| TEST (pal_update, pal_update_1k)
| TEST (pal_update, pal_update_2k)
| TEST (pal_update, pal_update_4k)
| TEST (pal_update, pal_update_8k)
| TEST (pal_update, pal_update_16k)
| TEST (pal_update, pal_update_4k_write_1k_4_times)
| TEST (pal_update, pal_update_stressTest)
| TEST (pal_update, pal_update_Read)
| TEST (pal_update, pal_update_getActiveHash)

## Variables
palBuffer_t | g_writeBuffer = {0}
palBuffer_t | g_readBuffer = {0}
palImageHeaderDeails_t | g_imageHeader = {0}
uint8_t | g_isTestDone
uint8_t | numberofBlocks = 0

## Macro Definition Documentation

#define KILOBYTE 1024

## Typedef Documentation

typedef enum _updateTestState updateTestState

## Enumeration Type Documentation

enum _updateTestState

Enumerator
test_init |
test_write |
test_commit |
test_read |

## Function Documentation

void pal_update_xK | ( | int | sizeInK | ) |

void printBuffer | ( | uint8_t * | buffer,
|  | size_t | bufSize
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_start |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_init |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_1k |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_2k |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_4k |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_8k |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_16k |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_4k_write_1k_4_times |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_stressTest |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_Read |
| ) |  |

TEST | ( | pal_update | ,
|  | pal_update_getActiveHash |
| ) |  |

TEST_GROUP | ( | pal_update |  | ) |

TEST_SETUP | ( | pal_update |  | ) |

TEST_TEAR_DOWN | ( | pal_update |  | ) |

## Variable Documentation

palImageHeaderDeails_t g_imageHeader = {0}

uint8_t g_isTestDone

palBuffer_t g_readBuffer = {0}

palBuffer_t g_writeBuffer = {0}

uint8_t numberofBlocks = 0